import type { MemberViewModel } from "../../club/member/member.models";
import type { WearableTypeViewModel } from "../wearableType/wearableType.models";

export interface WearableViewModel {
  id: string;
  code: string;
  name: string;
  location?: string;
  wearerId?: string;
  wearer: MemberViewModel;
  wearableTypeId: string;
  wearableType: WearableTypeViewModel;
}

export interface CreateWearableViewModel {
  code: string;
  name: string;
  wearerId?: string;
  location?: string;
  wearableTypeId: string;
}

export interface UpdateWearableViewModel {
  id: string;
  code: string;
  name: string;
  location?: string;
  wearerId?: string;
}
